Bug 219665 - misc/amanda-server: Build configuration value is inconsistent with installed configuration file (for security configuration file)
Summary: misc/amanda-server: Build configuration value is inconsistent with installed ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thomas Zander
URL:
Keywords: easy, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2017-05-30 20:56 UTC by Trond.Endrestol
Modified: 2018-04-12 19:47 UTC (History)
6 users (show)

See Also:
riggs: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Trond.Endrestol 2017-05-30 20:56:54 UTC
pkg-plist claims:

%%SERVER_ONLY%%%%ETCDIR%%/amanda-security.conf

while Makefile via CONFIGURE_ARGS claims:

--with-security-file=${ETCDIR}/security.conf

So, which one is it? It's the latter.

Make it so. Engage! Energize!
Comment 1 Gert Doering 2017-06-09 17:42:22 UTC
the amanda-client-3.3.9,1 bin package is compiled to require /usr/local/etc/amanda/security.conf but does not install it(!) - so, after an upgrade of a client-only (no amanda-server installed), all backups fail.
Comment 2 Trond.Endrestol 2017-06-09 20:45:40 UTC
(In reply to Gert Doering from comment #1)
Short term remedy is to do this on each client:

mkdir -p /usr/local/etc/amanda
touch /usr/local/etc/amanda/security.conf

I hope the maintainer decides on whether this files should be named amanda-security.conf or security.conf, and arranges for this file to be created iff(!) it doesn't exist on the clients.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-09 03:58:53 UTC
non-committers are not assignee's/assigned, request maintainer feedback instead.

It appears 'amanda-security.conf' is the canonical name for the file [1], and is the filename that is used/isntalled by the build system (the port does not manually install it with a custom name).

I would suggest in the interests of user experience that the 'default' and well-known filename be used rather than a custom name.

[1] https://wiki.zmanda.com/man/amanda-security.conf.5.html
Comment 4 Thomas Zander freebsd_committer 2018-04-12 19:08:53 UTC
Maintainer timeout
Comment 5 commit-hook freebsd_committer 2018-04-12 19:41:26 UTC
A commit references this bug:

Author: riggs
Date: Thu Apr 12 19:41:15 UTC 2018
New revision: 467194
URL: https://svnweb.freebsd.org/changeset/ports/467194

Log:
  Fix install location of security configuration file

  PR:		219665
  Submitted by:	Trond.Endrestol@ximalas.info
  Approved by:	maintainer timeout

Changes:
  head/misc/amanda-server/Makefile